## org.biojava.bio.search
Class SeqSimilaritySearchHit.BySubHitCountComparator

    java.lang.Object
      org.biojava.bio.search.SeqSimilaritySearchHit.BySubHitCountComparator

All Implemented Interfaces:
  Comparator

Enclosing interface:
  SeqSimilaritySearchHit

    public static final class SeqSimilaritySearchHit.BySubHitCountComparator

extends Object
implements Comparator

`BySubHitCountComparator` compares `SeqSimilaritySearchHit`s by their number of sub-hits.

Constructor Summary
`SeqSimilaritySearchHit.BySubHitCountComparator()`

Method Summary
`int` `compare(Object o1, Object o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### SeqSimilaritySearchHit.BySubHitCountComparator

    public SeqSimilaritySearchHit.BySubHitCountComparator()

Method Detail

### compare

    public int compare(Object o1,
                       Object o2)

  Specified by:
    `compare` in interface `Comparator`